html, body {
    height: 100%;
    margin: 0;
    padding: 0;
}

#map {
    height: 100vh;
    width: 100%;
    position: relative;
}

.controls {
    position: absolute;
    top: 10px;
    left: 10px;
    z-index: 1000;
    background: white;
    padding: 10px;
    border-radius: 8px;
    max-width: 90%;
    font-size: 14px;
}

.samarivi{
    display: inline-flex;
    padding-top: 6px;
    align-items: center;
    margin-top: 5px;
}

button {
    margin: 5px;
    -webkit-appearance: none;
    appearance: none;
    background-color: white;
    border: 1px, solid black;
    border-radius: 5px;  

    
}

.oikealle {
    position: initial;
    float: right;
}



.pisteet {
    width:30px;
    margin-right: 10px;
}

.rastinnimi {
    width: 100px;
}

.huom {
    width: 300px;;
}

/* Normaali kartta */
.leaflet-container {
    cursor: grab;
}

.leaflet-container.dragging {
    cursor: grabbing !important;
}

/* Lisäystila */
.leaflet-container.add-mode {
    cursor: crosshair;
}



/* Tähtäin keskelle */
#crosshair {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    
    font-size: 36px;
    font-weight: bold;
    color: red;
  
    
    pointer-events: none; /* tärkeä! ei blokkaa kosketusta */
    z-index: 1000;
}

#selectBtn {
    position: absolute;
    top: calc(50% + 40px); /* 👈 crosshairin alle */
    left: 50%;
    transform: translateX(-50%);
    
    z-index: 10000;

    padding: 10px 16px;
    background: #007bff;
    color: white;
    border: none;
    border-radius: 8px;
    font-size: 14px;
}

.vainMobiili{
    display: none;
}

.piilota {
    display: none;
}

.eiNay {
    visibility: hidden;
}

#tiedot {
    transition: max-height 0.3s ease;
    overflow: hidden;
    max-height: 500px;
}

#tiedot.piilossa {
    max-height: 0;
}




@media (max-width: 768px) {
    .vainMobiili {
        display: block;
    }
    button {
        /* margin: 5px 5px; */
        -webkit-appearance: none;
        appearance: none;

        background-color: white;       
        border-radius: 5px;
        color: black;
        border: 2px solid #333 ;
    }
    
   
}

